<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__rtc__enums" kind="group">
    <compoundname>group_rtc_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__rtc__enums_1ga45a1b113f07f81bc369d7bf9da75eaae" kind="enum" prot="public" static="no">
        <name>cy_en_rtc_status_t</name>
        <enumvalue id="group__group__rtc__enums_1gga45a1b113f07f81bc369d7bf9da75eaaeae5286de7a9bc703a7e3adc6eafd8ebe4" prot="public">
          <name>CY_RTC_SUCCESS</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1gga45a1b113f07f81bc369d7bf9da75eaaeac35d3b0c82666699fcde73938b69a4c7" prot="public">
          <name>CY_RTC_BAD_PARAM</name>
          <initializer>= CY_RTC_ID | CY_PDL_STATUS_ERROR | 0x01U</initializer>
          <briefdescription>
<para>One or more invalid parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1gga45a1b113f07f81bc369d7bf9da75eaaeaa9a493bcca1301e8a81500f73d520815" prot="public">
          <name>CY_RTC_TIMEOUT</name>
          <initializer>= CY_RTC_ID | CY_PDL_STATUS_ERROR | 0x02U</initializer>
          <briefdescription>
<para>Time-out occurs. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1gga45a1b113f07f81bc369d7bf9da75eaaea9efaff3322bac9069441e96fef0971f5" prot="public">
          <name>CY_RTC_INVALID_STATE</name>
          <initializer>= CY_RTC_ID | CY_PDL_STATUS_ERROR | 0x03U</initializer>
          <briefdescription>
<para>Operation not setup or is in an improper state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1gga45a1b113f07f81bc369d7bf9da75eaaeacddc72a7f5b41e61cd4f8118434ba4f5" prot="public">
          <name>CY_RTC_UNKNOWN</name>
          <initializer>= CY_RTC_ID | CY_PDL_STATUS_ERROR | 0xFFU</initializer>
          <briefdescription>
<para>Unknown failure. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_rtc_status_t: </bold><linebreak />RTC status enumeration.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="366" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="359" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="360" />
      </memberdef>
      <memberdef id="group__group__rtc__enums_1gaa98ef67a70e8f64649634baee4498d56" kind="enum" prot="public" static="no">
        <name>cy_en_rtc_clock_freq_t</name>
        <enumvalue id="group__group__rtc__enums_1ggaa98ef67a70e8f64649634baee4498d56a56f5209db9bd9ec86d82439a495bf29b" prot="public">
          <name>CY_RTC_FREQ_WCO_32768_HZ</name>
          <briefdescription>
<para>prescaler value for 32.768 kHz oscillator </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1ggaa98ef67a70e8f64649634baee4498d56a7cf204bea672c49f22738c680dc55f39" prot="public">
          <name>CY_RTC_FREQ_60_HZ</name>
          <briefdescription>
<para>prescaler value for 60 Hz source </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1ggaa98ef67a70e8f64649634baee4498d56ac4422f9e9605cfda6465c7d7e688523f" prot="public">
          <name>CY_RTC_FREQ_50_HZ</name>
          <briefdescription>
<para>prescaler value for 50 Hz source </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_rtc_clock_freq_t: </bold><linebreak />This enumeration is used to set frequency by changing the it pre-scaler.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="374" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="369" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="370" />
      </memberdef>
      <memberdef id="group__group__rtc__enums_1gad3785b5ad8bf1b0d49cc5f639176db5f" kind="enum" prot="public" static="no">
        <name>cy_en_rtc_alarm_t</name>
        <enumvalue id="group__group__rtc__enums_1ggad3785b5ad8bf1b0d49cc5f639176db5fab1ca280597ea571997060fadc78f408d" prot="public">
          <name>CY_RTC_ALARM_1</name>
          <briefdescription>
<para>Alarm 1 enum. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1ggad3785b5ad8bf1b0d49cc5f639176db5faab220fc3146464e70ecf7433ed5a4f83" prot="public">
          <name>CY_RTC_ALARM_2</name>
          <briefdescription>
<para>Alarm 2 enum. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_rtc_alarm_t: </bold><linebreak />This enumeration is used to set/get information for alarm 1 or alarm 2.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="381" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="377" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="378" />
      </memberdef>
      <memberdef id="group__group__rtc__enums_1ga40c0bfe67e6abf9f8807c8653de6a11b" kind="enum" prot="public" static="no">
        <name>cy_en_rtc_hours_format_t</name>
        <enumvalue id="group__group__rtc__enums_1gga40c0bfe67e6abf9f8807c8653de6a11ba5a86381fc4fbecf8165d86bd1143602e" prot="public">
          <name>CY_RTC_24_HOURS</name>
          <briefdescription>
<para>The 24 hour format. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1gga40c0bfe67e6abf9f8807c8653de6a11ba50cf5c1787d23a8773f57809be235724" prot="public">
          <name>CY_RTC_12_HOURS</name>
          <briefdescription>
<para>The 12 hour (AM/PM) format. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_rtc_hours_format_t: </bold><linebreak />This enumeration is used to set/get hours format.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="388" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="384" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="385" />
      </memberdef>
      <memberdef id="group__group__rtc__enums_1ga876952bea2bd3512cd8f523e00e38708" kind="enum" prot="public" static="no">
        <name>cy_en_rtc_write_status_t</name>
        <enumvalue id="group__group__rtc__enums_1gga876952bea2bd3512cd8f523e00e38708aac4779fba6dfc0db4a9090c330824018" prot="public">
          <name>CY_RTC_WRITE_DISABLED</name>
          <briefdescription>
<para>Writing the RTC is disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1gga876952bea2bd3512cd8f523e00e38708a3155f550cf68372f5e712d95357eceae" prot="public">
          <name>CY_RTC_WRITE_ENABLED</name>
          <briefdescription>
<para>Writing the RTC is enabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_rtc_write_status_t: </bold><linebreak />Enumeration to configure the RTC Write register.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="395" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="391" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="392" />
      </memberdef>
      <memberdef id="group__group__rtc__enums_1ga8a13335e41ba03b8cf81190e7d95b81a" kind="enum" prot="public" static="no">
        <name>cy_en_rtc_dst_format_t</name>
        <enumvalue id="group__group__rtc__enums_1gga8a13335e41ba03b8cf81190e7d95b81aaca71eaf39cfb8c5783951b3c646019f0" prot="public">
          <name>CY_RTC_DST_RELATIVE</name>
          <briefdescription>
<para>Relative DST format. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1gga8a13335e41ba03b8cf81190e7d95b81aa4808a16bb9fb85835333f47ce577a690" prot="public">
          <name>CY_RTC_DST_FIXED</name>
          <briefdescription>
<para>Fixed DST format. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_rtc_dst_format_t: </bold><linebreak />Enumeration used to set/get DST format.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="402" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="398" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="399" />
      </memberdef>
      <memberdef id="group__group__rtc__enums_1ga9407090183e711814a46eb100b82d14b" kind="enum" prot="public" static="no">
        <name>cy_en_rtc_am_pm_t</name>
        <enumvalue id="group__group__rtc__enums_1gga9407090183e711814a46eb100b82d14ba7c6e3765c27468091995ab268fe00701" prot="public">
          <name>CY_RTC_AM</name>
          <briefdescription>
<para>AM period of day. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1gga9407090183e711814a46eb100b82d14ba8695369eec7abb30254b2cb4bd05cbff" prot="public">
          <name>CY_RTC_PM</name>
          <briefdescription>
<para>PM period of day. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_rtc_am_pm_t: </bold><linebreak />Enumeration to indicate the AM/PM period of day.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="409" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="405" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="406" />
      </memberdef>
      <memberdef id="group__group__rtc__enums_1ga813b21db7e39f0af025d70c38dbd1a0e" kind="enum" prot="public" static="no">
        <name>cy_en_rtc_alarm_enable_t</name>
        <enumvalue id="group__group__rtc__enums_1gga813b21db7e39f0af025d70c38dbd1a0ea005c967377909e0c8c92bbcdc3c161bf" prot="public">
          <name>CY_RTC_ALARM_DISABLE</name>
          <briefdescription>
<para>Disable alarm on match with required value. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__rtc__enums_1gga813b21db7e39f0af025d70c38dbd1a0ea12ed08320d23dfe654f029d34972539b" prot="public">
          <name>CY_RTC_ALARM_ENABLE</name>
          <briefdescription>
<para>Enable alarm on match with required value. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_rtc_alarm_enable_t: </bold><linebreak />Enumeration to enable/disable the RTC alarm on match with required value.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="416" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" bodystart="412" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_rtc.h" line="413" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>